import { useState } from "react";
import { sampleCards } from "../sampleData.ts";
import { Card } from "./Card.tsx";

export const App = () => {
	const [count, setCount] = useState(0);
	return <div>
		{sampleCards.map((sampleCard) => {
			return <Card key={`${sampleCard.title}-${count}`} card={sampleCard}/>
		})}
		<button onClick={() => {setCount(c => c+1)}}>Rerender (for fonts)</button>
	</div>;
};
